Page MenuHomeFreeBSD

devel/kdesdk4-kioslave: Use pkgsrc's patch to fix build
ClosedPublic

Authored by alonso on Oct 26 2015, 9:51 PM.

Details

Summary

The subversion port was upgraded to version 1.9. devel/kdesdk4-kioslaves fails
to build against it now.

pkgsrc has a patch that fixes this issue in
${CVSROOT}/devel/kdesdk-kioslaves/patches/patch-svn_svn.cpp
of their repository. Add this patch.

Obtained from: pkgsrc

Test Plan

Apply patch on a current ports collection root path using

svn patch

and build devel/kdesdk4-kioslaves.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

alonso updated this revision to Diff 9714.Oct 26 2015, 9:51 PM
alonso retitled this revision from to devel/kdesdk4-kioslave: Use pkgsrc's patch to fix build.
alonso updated this object.
alonso edited the test plan for this revision. (Show Details)
alonso added reviewers: makc, rakuco.
alonso set the repository for this revision to rP FreeBSD ports repository.
alonso added a project: kde.
alonso edited the test plan for this revision. (Show Details)
alonso added a subscriber: kde.
rakuco added inline comments.Oct 27 2015, 6:52 PM
devel/kdesdk4-kioslaves/files/patch-svn_svn.cpp
1 ↗(On Diff #9714)

It's better to replace this NetBSD header with an explanation of why this patch is necessary and where it was retrieved from.

alonso updated this revision to Diff 9753.Oct 27 2015, 11:07 PM
alonso removed rP FreeBSD ports repository as the repository for this revision.

Uploaded a new diff with a small explanation in it's header.

rakuco accepted this revision.Oct 28 2015, 12:23 PM
rakuco edited edge metadata.

lgtm, thanks!

This revision is now accepted and ready to land.Oct 28 2015, 12:23 PM
This revision was automatically updated to reflect the committed changes.